Spring Boot 2.1.5 发布,大量 bug 修复

xplanet
 xplanet
发布于 2019年05月16日
收藏 13

Spring Boot 2.1.5 发布了,现已可以从 repo.spring.io 和 Maven Central 获取。

这是一个维护版本,其中包含许多重要的依赖项更新和错误修复

新特性

  • 改进 Spring Session DefaultCookieSerializer 自动配置
  • 缓存 MimeTypes 以提高性能

Bug 修复

  • Binder 可能会失败,因为 POJO 具有泛型类型
  • 使用 Jetty Reactor 时,HTTPS url 会导致 NPE
  • RedisReactiveHealthIndicator 在出错时进行阻塞调用
  • 'spring.resources.cache.period' 总是被 'spring.resources.cache.cachecontrol' 覆盖
  • Kafka 的依赖管理不完整
  • 由于 timeBetweenEvictionRun 默认为 -1 且无法配置,因此 Redis 池 minIdle 属性被忽略了
  • JacksonTester 对一些字符进行非对称处理
  • 从 Quartz 中排除 HikariCP 特定依赖项
  • Glassfish JAXB 的依赖管理不完整
  • UndertowWebServer 的记录器错误
  • 使用 spring-boot-starter-webflux 时,基于 EL 的验证消息插值不起作用
  • 参考文档中的某些语法未突出显示或完全丢失
  • ConfigurationMetadataProperty 名称未使用相同的源类型进行剥离
  • 7.7 中没有为 solr-uima 提供依赖关系管理
  • 重新包装目标不再延迟解决 “project.build.finalName”
  • Liquibase 端点不支持自定义更改日志表
  • 当 CompositeMeterRegistry 存在时,度量标准可能会更新两次
  • 当存在多个重载的 setter 时,Binder 可能会失败
  • 在单独的端口上运行时,执行器运行状况端点可能会在主端口侦听之前报告正常

此次更新还包括一些文档更新以及大量依赖项升级。

再次提醒:Spring Boot 1.5 将在8月份结束生命周期,所有用户现在应该升级到 Spring Boot 2.1。

下载地址:

Source code(zip)

Source code(tar.gz)

本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 OSCHINA 社区 [http://www.oschina.net]
本文标题:Spring Boot 2.1.5 发布,大量 bug 修复
加载中

最新评论(18

u
unix
升级之后坑死了。session包依赖了spring security,还得单独取消这个依赖。
淡漠悠然
淡漠悠然

引用来自“淡漠悠然”的评论

有bug,提了个issue

引用来自“小沉沦”的评论

啥bug

引用来自“淡漠悠然”的评论

https://github.com/spring-projects/spring-boot/issues/16871
<dependency>
<groupId>org.springframework.security</groupId>
<artifactId>spring-security-web</artifactId>
<exclusions>
<exclusion>
<groupId>org.springframework.security</groupId>
<artifactId>spring-security-core</artifactId>
</exclusion>
</exclusions>
</dependency>
码郎航行
码郎航行

引用来自“ankeway”的评论

https://github.com/spring-projects/spring-boot/issues/16882
加入解决
<properties>
<maven-jar-plugin.version>3.1.1</maven-jar-plugin.version>
</properties>
这波操作不错
ankeway
ankeway
https://github.com/spring-projects/spring-boot/issues/16882
加入解决
<properties>
<maven-jar-plugin.version>3.1.1</maven-jar-plugin.version>
</properties>
阿信sxq
阿信sxq

引用来自“阿信sxq”的评论

升级之后pom.xml里面报一个"Unknown"的错误,切回2.1.3就没有,不知道时怎么回事,虽然不影响使用,但是强迫症感觉受不了啊

引用来自“雨飞飞”的评论

我升级后也是这样😂

引用来自“阿信sxq”的评论

有没有找出来是什么原因

引用来自“码郎航行”的评论

找到解决办法了么
为了心里不堵,我换回2.1.3了
码郎航行
码郎航行

引用来自“阿信sxq”的评论

升级之后pom.xml里面报一个"Unknown"的错误,切回2.1.3就没有,不知道时怎么回事,虽然不影响使用,但是强迫症感觉受不了啊

引用来自“雨飞飞”的评论

我升级后也是这样😂

引用来自“阿信sxq”的评论

有没有找出来是什么原因
找到解决办法了么
阿信sxq
阿信sxq

引用来自“阿信sxq”的评论

升级之后pom.xml里面报一个"Unknown"的错误,切回2.1.3就没有,不知道时怎么回事,虽然不影响使用,但是强迫症感觉受不了啊

引用来自“雨飞飞”的评论

我升级后也是这样😂
有没有找出来是什么原因
雨飞飞

引用来自“阿信sxq”的评论

升级之后pom.xml里面报一个"Unknown"的错误,切回2.1.3就没有,不知道时怎么回事,虽然不影响使用,但是强迫症感觉受不了啊
我升级后也是这样😂
老谭12345
不错不错,2.1.4里 <build><finalName>里无法自定义最终jar包名字的bug解决了。
qizhiyang
qizhiyang
马克
返回顶部
顶部